curl --request GET \
--url https://api-v2.boost.xyz/explore/contractsimport requests
url = "https://api-v2.boost.xyz/explore/contracts"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-v2.boost.xyz/explore/contracts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"chainId": 8453,
"address": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"name": "Zora",
"stats": {
"boostCount": 123,
"totalClaims": 123,
"totalAmountClaimedUsd": 123
}
}
]Explore contracts with Boosts
Find information on contracts used to interact with Boosts, as well as total claims, total USD claimed, address, and chain ID
Query Parameters
The desired page to return from the query
x >= 0The amount of items to return from the query, defaults to 10, and must be <= 100
0 <= x <= 100Sort by most total completions, total budget, or recent Boost creations
most-completions, total-spend, recently-deployed "most-completions"
The time range to filter by
6h, 24h, 7d "7d"
A comma separated list of chain IDs for Boost actions to filter by
"8453,10"
Filter by Boosts created by a specific user address
^0x[a-fA-F0-9]{40}$"0x378632819f39c74c4f56b1429e760739c5fb51b7"
Response
Returns a list of smart contracts known to the Boost system
The chain ID of the smart contract
8453
The address of the smart contract
^0x[a-fA-F0-9]{40}$"0x378632819f39c74c4f56b1429e760739c5fb51b7"
A human readable name for the smart contract
"Zora"
Show child attributes
Show child attributes